---
title: 'Oceanus'
lastUpdated: '03.08.2024'
---

## What is it? 

Oceanus is my main VM server. It used to be an office PC, but has since been re-purposed as a tiny home server.

## Specs

- MODEL: HP Elitedesk 600 G3
- CPU: i7 6700
- RAM: 16 GB DDR4
- Storage:
    - 256 GB NVME SSD
    - 128 GB SATA SSD

## What is on it?

Currently this server has quite a bit of purpose, but i will probably move most of the stateless applications from this into my K3S cluster.

- lb-1
    - HAproxy load-balancer
- nginx-public
    - Temporary NGINX until i get K3S up and running
- wireguard
    - Hosts a wireguard instance i use for VPN
- grafana
    - ALL THE DASHBOARDS!
- woodpecker_worker
    - This is a WIP of setting up my own CI

![](./images/oceanus.png)